extensions / Commerce extension
GET
/api/projects/{project_id}/sales/payment-servicesList Payment Services
List all available payment services
GET
Authentication
- Requirement
- Required
- Credential type
- Bearer API key
- Scopes
- Not specified
Permissions
- Requests are scoped to the target project_id. API-key requests must use a key with an active connection to that project.
Headers
| Name | Required | Type | Details |
|---|---|---|---|
Authorization | Yes | Not specified | Description: Bearer credential used to authenticate the request. |
Path Parameters
| Name | Required | Type | Details |
|---|---|---|---|
project_id | Yes | Not specified | Description: Target project identifier. |
Query Parameters
Request Body
Response Body
Example 200 response
json
{
"id": 1,
"name": "Example",
"code": "string",
"base_api_url": "string",
"supports_recurring": "string",
"supported_intervals": [],
"is_active": "string",
"metadata": "string",
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-01T00:00:00Z"
}Errors
500 internal_server_errorAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

